uniform mat4 u_PMatrix;
uniform mat4 u_VMatrix;
uniform mat4 u_MMatrix;
uniform mat4 u_STMatrix;
attribute vec3 a_Position;
attribute vec2 a_TexPosition;
varying vec2 v_TexPosition;

void main() {
    gl_Position = u_PMatrix * u_VMatrix * u_MMatrix * vec4(a_Position, 1.0);
    v_TexPosition = (u_STMatrix * vec4(a_TexPosition, 0.0, 1.0)).xy;
}